/*
 * This file is part of Skyward Hub.
 *
 * Skyward Hub is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * Skyward Hub is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * Skyward Hub. If not, see <https://www.gnu.org/licenses/>.
 *
 */

#pragma once

#include <QDialog>

namespace Ui
{
class SaveConfigurationDialog;
}

class SaveConfigurationDialog : public QDialog
{
    Q_OBJECT

public:
    explicit SaveConfigurationDialog(QWidget *parent = nullptr);
    ~SaveConfigurationDialog();

    void pickConfigData(QString *name, QString *iconPath, QString *description);
    void setConfigName(const QString &value);
    void setConfigIconPath(const QString &value);
    void setConfigDescription(const QString &value);

protected:
    void onSelectIconPathClicked();
    void onSaveConfigClicked();

    QString getConfigName() const;
    QString getConfigIconPath() const;
    QString getConfigDescription() const;

private:
    Ui::SaveConfigurationDialog *ui;
    QString *name = nullptr, *iconPath = nullptr, *description = nullptr;
};
